package logic

import (
	"database/sql"
	"log"
	"sevenkeys/database"
	"sevenkeys/delverlens"
)

func ImportDelverLensCards(db *sql.DB, cards []delverlens.DelverLensCard, storageAreaId int) error {
	for _, card := range cards {
		cardtraderBlueprintId, err := database.GetCardtraderBlueprintIdByScryfallId(db, card.ScryfallId)
		if err == sql.ErrNoRows {
			log.Printf("import: No Cardtrader product found for Scryfall ID: %s, inserting placeholder\n", card.ScryfallId)
			cardtraderBlueprintId = -1
		} else if err != nil {
			return err
		}

		productLocation := database.ProductLocation{
			CardtraderBlueprintId: cardtraderBlueprintId,
			StorageAreaId:         storageAreaId,
		}

		StoreProduct(db, productLocation)
	}

	return nil
}
